al_get_text_dimensions(3)

NAME

al_get_text_dimensions - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_font.h>
    void al_get_text_dimensions(const ALLEGRO_FONT *f,
       char const *text,
       int *bbx, int *bby, int *bbw, int *bbh)

DESCRIPTION

Sometimes, the al_get_text_width(3) and al_get_font_line_height(3) functions are not enough for exact text placement, so this function returns some additional information.

Returned variables (all in pixels):

•   x, y - Offset to upper left corner of bounding box.

•   w, h - Dimensions of bounding box.

Note that glyphs may go to the left and upwards of the X, in which case x and y will have negative values.

SEE ALSO

al_get_text_width(3), al_get_font_line_height(3), al_get_ustr_dimensions(3)